FE: get questions according to user's style preferences using get_questions api
07/03/2024 03:54 AM - Ram Kordale

Status: New Start date: 07/10/2024
Priority: High Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.40 hour
Target version: Spent time: 0.00 hour
Description

Instead of getting it from the GCS file, get questions from get_questions API (ticket 3647).

High level scheme is to ask 5 questions each in each of the user's preferred styles. This should be done across sessions also. The
last style used S, the last question asked Q and the list of questions L should be kept track in browser storage.

If L is not in browser storage, call gcf get_questions_list(1) (ticket 3656) and store L.

Ask user questions in order from L.

Styles that user selects as per ticket 3638 are user preferred styles. Decide on the style for the next 5 questions in round-robin order.
Based on the above, decide on the style for the next 5 questions and call get_questions (ticket 3647).

For this ticket, fetch the question just before you have to show the question. later, we will cache it before hand.

Some notes:
-Everything between one occurrence of #$Exercise: <exercise#> and the next is one question.

Subtasks:
Feature # 3657: FE: Decide next question to ask and its style Closed
Feature # 3658: FE: get questions from get_questions API instead of GCS file Feedback

History

#1 - 07/03/2024 03:54 AM - Ram Kordale
- Description updated

#2 - 07/03/2024 05:39 AM - Ayanava Karmakar
- Estimated time setto 0.75 h

#3 - 07/10/2024 06:21 AM - Ram Kordale
- Description updated

#4 - 07/10/2024 07:13 AM - Ram Kordale

- Subject changed from FE: get questions from get_questions instead of GCS file to FE: get questions from get_questions instead of GCS file for
chapter 1

- Description updated
#5 - 07/11/2024 05:48 AM - Ram Kordale
- Subject changed from FE: get questions from get_questions instead of GCS file for chapter 1 to FE: get questions according to user's style

preferences using get_questions api

#6 - 07/11/2024 05:49 AM - Ram Kordale
- Estimated time deleted (0.75 h)

#7 - 07/11/2024 05:49 AM - Ram Kordale
- Estimated time set to 0.40 h
